procedure DrawKey(X,Y,Width,Heit,Shadow:Integer);
var
	i:byte;
	Xend,Yend:Integer;
begin
	Xend:=X+Width;
	Yend:=Y+Heit;
	SetColor(8);
	RecTangle(X,Y,Xend,Yend);
	RecTangle(X+Shadow,Y+Shadow,Xend-Shadow,Yend-Shadow);
	SetColor(15);
	for i:=1 to Shadow do begin
		Line(X+i,Y+i,X+i,Yend-i);
		Line(X+i,Y+i,Xend-i,Y+i);
	end;
	SetColor(8);
	for i:=1 to Shadow do begin
		Line(X+i,Yend-i,Xend-i,Yend-i);
		Line(Xend-i,Y+i,Xend-i,Yend-i);
	end;
end;

procedure ClickOn(X,Y,Width,Heit,Shadow:Integer);
var
	i:byte;
	Xend,Yend:Integer;
begin
	Xend:=X+Width;
	Yend:=Y+Heit;
	SetColor(8);
	for i:=1 to Shadow do begin
		Line(X+i,Y+i,X+i,Yend-i);
		Line(X+i,Y+i,Xend-i,Y+i);
	end;
	SetColor(15);
	for i:=1 to Shadow do begin
		Line(X+i,Yend-i,Xend-i,Yend-i);
		Line(Xend-i,Y+i,Xend-i,Yend-i);
	end;
end;

procedure ClickOff(X,Y,Width,Heit,Shadow:Integer);
var
	i:byte;
	Xend,Yend:Integer;
begin
	Xend:=X+Width;
	Yend:=Y+Heit;
	SetColor(15);
	for i:=1 to Shadow do begin
		Line(X+i,Y+i,X+i,Yend-i);
		Line(X+i,Y+i,Xend-i,Y+i);
	end;
	SetColor(8);
	for i:=1 to Shadow do begin
		Line(X+i,Yend-i,Xend-i,Yend-i);
		Line(Xend-i,Y+i,Xend-i,Yend-i);
	end;
end;
